POST api/rfidreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "63f86a54-11f9-4326-823b-3c9942e070ca",
"ip": "sample string 2",
"name": "sample string 3",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "afef0f79-5e42-4c36-941b-9cf9f2863ecb",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "6aa5ca4d-b15d-4934-a8e9-bd70e5873291",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>63f86a54-11f9-4326-823b-3c9942e070ca</id> <ip>sample string 2</ip> <name>sample string 3</name> <power>1.1</power> <rfid_reader_type_id>6aa5ca4d-b15d-4934-a8e9-bd70e5873291</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>afef0f79-5e42-4c36-941b-9cf9f2863ecb</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"05730ea2-90e3-4860-9dfc-bbc6cee0edd4"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">05730ea2-90e3-4860-9dfc-bbc6cee0edd4</guid>